﻿<%@ Import Namespace="Seven.Management" %>
<%@ Import Namespace="Seven.Management.Globals" %>
<%@ Import Namespace="Seven.Management.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="Enlaces.aspx.cs" Inherits="Seven.Management.Enlaces" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title><%=L.TIT("EnlacesModulos") %> <%--[2.1]--%></title>

    <script type="text/javascript">

    <% 
        
       /* 
        * 
        * Índice de Código 
        * 
        * JQ01 - Grid 
        * 
        * JS_FUN_BASE  - Funciones Javascript para Carga de Datos Base
        * JS_DOC       - Funciones Javascript en Document.Ready()
        * 
        * DLG_VAR      - Diálogos Varios
        * 
        * TIT - Título
        * 
        * HH  - Hidden Hive - Almacen de datos en campos ocultos
        * 
        * B01 - Cuandro Información Principal
        * B02 - Formulario Principal OH
        * B03 - Zona Informativa 
        * 
        */
        
    %>

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        <% /* JQ01 */%>

        <% /* Código del jqGrid para Enlace */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetENL() {
            $.ajax({
                url: 'Servicio.svc/GetEnlace',
                data: { "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    try
                    {
                        $("#jqgENL").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                        var thegrid = $("#jqgENL")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgENL").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    }
                    catch(err)
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutENL(id, id_datos_origen, id_datos_destino, eli) {
            $.ajax({
                url: 'Servicio.svc/PutEnlace',
                data: { "id_enla_datos": id, "id_datos_origen": id_datos_origen, "id_datos_destino": id_datos_destino
                , "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando2').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando2').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if(eli == 1){
                            $('#IdSubElementENL').val(0);
                            BotonDefaultENL();
                            RefreshGridENL();
                        }
                        else
                        {
                            if(id > 0 || id < 0){
                                BotonDefaultENL();
                                RefreshGridENL();
                            }
                            else
                            {
                                $('#IdSubElementENL').val(res);
                                BotonDefaultENL();
                                RefreshGridENL();
                            }
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridENL() {
        
            var lselENL;
            var colMap = {};
            $("#jqgENL").jqGrid({
                datatype: 'local',
                height: 255,
                width: 700,
                colNames:  ['', '<%=L.LBL("LblGENOrigen") %>', '<%=L.LBL("LblGENDestino") %>',''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            {
                                name: 'id_datos_origen', index: 'id_datos_origen', width: 10, editable: true,
                                //searchoptions: { sopt: ListFindN }
                                formatter:'select', stype:'select', edittype:'select', 
                                editoptions: { <%=cbBasesEnlace%> }, 
                            },
                            {
                                name: 'id_datos_destino', index: 'id_datos_destino', width: 10, editable: true,
                                //searchoptions: { sopt: ListFindN }
                                formatter:'select', stype:'select', edittype:'select', 
                                editoptions: { <%=cbBasesEnlace%> }, 
                            },
                            {
                                name: 'inf', index: 'inf', width: 1, editable: false,
                                formatter: InfButtonFormatter, align: 'center'
                            },
                            //{ name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
   	                    ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselENL) && !isNaN(id))
                        {
                            $("#jqgENL").jqGrid('delRowData', lselENL);
                            //$('#jqgENL').jqGrid('resetSelection');
                        }

                        if(!isNaN(id))
                        {
                            $('#jqgENL').jqGrid('saveRow', id);
                            
                            var ret = jQuery("#jqgENL").jqGrid('getRowData',id); 

                            $('#jqgENL').jqGrid('restoreRow',lselENL);

                            $('#IdSubElementENL').val(ret.Id);
                        }
                        else
                        {
                            BotonNuevoENL();
                        }

                        $('#jqgENL').jqGrid('editRow', id, true, EventsENL);
                       
                        lselENL=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselENL))
                        {
                            $("#jqgENL").jqGrid('delRowData', lselENL);
                            $('#jqgENL').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgENL').jqGrid('saveRow',lselENL);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        if(!isNaN(id))
                        {
                            $('#jqgENL').jqGrid('restoreRow',id);
                        }

                        var ret = jQuery("#jqgENL").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextENL').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconENL').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextENL').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconENL').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgENL').jqGrid('setSelection', id); 

                        BotonSelectENL();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgENL").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        if(i == 0 && parseInt($('#IdSubElementENL').val()) == 0)
                        {
                            $('#IdSubElementENL').val($("#jqgENL").getCell(rows[i],"Id"));
                        }
                        var status  = $("#jqgENL").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgENL").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }
                    }
                    $('#jqgENL').jqGrid('setSelection', $('#IdSubElementENL').val());
                    if(parseInt($('#IdSubElementENL').val()) != 0)
                    {
                        BotonSelectENL();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl:"Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgENL").jqGrid('navGrid','#PaginadorEnlace',{del:false,add:false,edit:false,search:false});
            $("#bsdataEnlace").click(function(){ 
                jQuery("#jqgENL").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }
    
        function EventsENL(id) {
            $("#" + id + "_id_datos_origen").on('change', function () { BotonGuardarENL(); });
            $("#" + id + "_id_datos_destino").on('change', function () { BotonGuardarENL(); });
        }

        function EventsNewENL() {
            var id = jQuery('#jqgENL').jqGrid('getGridParam', 'selrow');
            $("#" + id + "_id_datos_origen").on('change', function () { BotonGuardarENL(); });
            $("#" + id + "_id_datos_destino").on('change', function () { BotonGuardarENL(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridENL()
        {
            $("#jqgENL").jqGrid("setGridParam", {datatype: "json", datatype: GetENL, loadonce: true});
            $("#jqgENL").trigger("reloadGrid"); 
            $("#jqgENL").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateENL()
        {
            $('#IdSubElementENL').val(0);
            $("#jqgENL").jqGrid('addRow',{
                initdata : {'Id': '0'},
                position :"first",
                useDefValues : false,
                useFormatter : false,
                addRowParams : {extraparam:{}}
            });
            BotonNuevoENL();
            EventsNewENL();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveENL(){
            var id = $("#jqgENL").jqGrid('getGridParam','selrow');
            if (id)	{
                PutENL(id, $('#' + id + '_id_datos_origen').val(), $('#' + id + '_id_datos_destino').val(), 0);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteENL(){
            var id = $("#jqgENL").jqGrid('getGridParam','selrow');
            if (id) {
                PutENL(id, $('#' + id + '_id_datos_origen').val(), $('#' + id + '_id_datos_destino').val(), 1);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelENL(){
            var id = $("#jqgENL").jqGrid('getGridParam','selrow');
            if (id){
                $('#jqgENL').restoreRow(id);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
            BotonDefaultENL();
        }

        function BotonDefaultENL() {
            $('#btnNuevoENL').button('enable');
            $('#btnEliminarENL').button('disable');
            $('#btnGuardarENL').button('disable');
            $('#btnCancelarENL').button('disable');
        }

        function BotonNuevoENL() {
            $('#btnNuevoENL').button('disable');
            $('#btnEliminarENL').button('disable');
            $('#btnGuardarENL').button('disable');
            $('#btnCancelarENL').button('enable');
        }

        function BotonSelectENL() {
            $('#btnNuevoENL').button('enable');
            var id = $("#jqgENL").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarENL').button('enable');
            }
            else {
                $('#btnEliminarENL').button('disable');
            }
            $('#btnGuardarENL').button('disable');
            $('#btnCancelarENL').button('disable');
        }

        function BotonGuardarENL() {
            $('#btnNuevoENL').button('disable');
            $('#btnEliminarENL').button('disable');
            $('#btnGuardarENL').button('enable');
            $('#btnCancelarENL').button('enable');
        }

        <% /*funcion para mostrar en columna Inf como boton con imagen*/ %>

        function InfButtonFormatter(cellvalue, options, rowObject)
        {
            return "<button type='button' onclick='SaveBases(" + rowObject[0] + ");'><img src='img/arrow-circle-double.png' /></button>";
        }

                <% /* Función que envia los id de los modulos para crear los enlaces. */ %>

        function SaveBases(id){
            if (id) {
                var ret = jQuery("#jqgENL").jqGrid('getRowData', id);

                if (ret.id_datos_origen > 0)//Cuando se seleciona el boton, pero se esta posicionado en otra fila
                {
                    PutBases(id, ret.id_datos_origen, ret.id_datos_destino, 0);
                }
                else
                {
                    PutBases(id, $('#' + id + '_id_datos_origen').val(), $('#' + id + '_id_datos_destino').val(), 0);
                }
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutBases(id, id_datos_origen, id_datos_destino, eli) {
            $.ajax({
                url: 'Servicio.svc/PutEnlace_Entre_Bases',
                data: { "id_enla_datos": id, "id_datos_origen": id_datos_origen, "id_datos_destino": id_datos_destino
                , "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando3').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando3').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if(eli == 1){
                            $('#IdSubElementENL').val(0);
                            BotonDefaultENL();
                            RefreshGridENL();
                        }
                        else
                        {
                            if(id > 0 || id < 0){
                                BotonDefaultENL();
                                RefreshGridENL();
                            }
                            else
                            {
                                $('#IdSubElementENL').val(res);
                                BotonDefaultENL();
                                RefreshGridENL();
                            }
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* JS_FUN_BASE */%>

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Informe.aspx?r=180&e=' + $('#cbEliminado:checked').val(), '_blank');
        }

        
    </script>

    <script type="text/javascript">

        <% /* JS_DOC */%>

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando2").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando3").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando4").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando5").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando6").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando7").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando8").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando9").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando10").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            LoadGridENL();

            RefreshGridENL();

            $("#SevenMenu").accordion("option", "active", 1);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#Loader').css('height', '0px');
        });
    </script>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.open('Menu.aspx#M2', '_top');" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="../img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="EnlacesModulos.aspx"><%=L.TIT("EnlacesModulos") %> <%--[2.1]--%></a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 700px;">

                <div id="Loader" style="width: 2000px; height: 4000px;">
                </div>

                <% /* DLG_VAR */%>

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando2" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando3" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando4" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando5" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando6" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando7" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando8" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando9" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando10" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <% /* TIT */%>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("EnlacesModulos") %> <%--[2.1]--%></span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultV();RefreshGridV();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/2-1-operaciones-sobre-folios/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                    </tr>
                </table>

                <% 
           if (CorrectoIns)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
           if (CorrectoMod)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
           if (CorrectoEli)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
           if (!String.IsNullOrEmpty(ErrorMsg))
           {    
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <% /* HH */ %>

                <div id="HiddenHive">
                    <div id="HabFEData">
                    </div>
                </div>

                <br />

<input type="hidden" id="IdSubElementENL" value="0" />
                <table id="jqgENL"></table>

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" id="bsdataEnlace" value="Search" >
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/binocular.png" 
                                                           alt="<%=L.LBL("LblGENSearch") %>" />
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENSearch") %>
                                                    </td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnNuevoENL" onclick="CreateENL();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENNew") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnEliminarENL" onclick="DeleteENL();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img id="btnEliminarIconENL" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" />
                                                    </td>
                                                    <td id="btnEliminarTextENL"><%=L.LBL("LblGENDelete") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnGuardarENL" onclick="SaveENL();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENSave") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelarENL" onclick="CancelENL();">
                                                <table>
                                                    <tr>
                                                        <td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                        <td><%=L.LBL("LblGENCancel") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>

