﻿<%@ Import Namespace="Seven.Management" %>
<%@ Import Namespace="Seven.Management.Globals" %>
<%@ Import Namespace="Seven.Management.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="Modulos.aspx.cs" Inherits="Seven.Management.Modulos" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
        { %>

    <title><%=L.TIT("Modulos") %> <%--[2.1]--%></title>

    <script type="text/javascript">

    <% 

/* 
 * 
 * Índice de Código 
 * 
 * JQ01 - Grid Modulos
 * JQ02 - Grid Aplicaciones
 * JQ03 - Grid Opciones
 * JQ04 - Grid Acceso
 * JQ05 - Get aplicacion, get opcines
 * JQ06 - Varias Funciones
 * 
 * JS_FUN_BASE  - Funciones Javascript para Carga de Datos Base
 * JS_DOC       - Funciones Javascript en Document.Ready()
 * 
 * DLG_VAR      - Diálogos Varios
 * 
 * TIT - Título
 * 
 * HH  - Hidden Hive - Almacen de datos en campos ocultos
 * 
 * B01 - Cuandro Información Principal
 * B02 - Formulario Principal OH
 * B03 - Zona Informativa 
 * 
 */

    %>

        var ListFindN = ['eq', 'bw', 'ne', 'lt', 'le', 'gt', 'ge', 'ew', 'cn'];
        var ListFindT = ['cn', 'eq', 'bw', 'bn', 'nc', 'ew', 'en'];

        <% /* JQ01 */%>

        <% /* Código del jqGrid para Modulos */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetMOD() {
            $.ajax({
                url: 'Servicio.svc/GetModulos',
                data: {
                    "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    try {
                        $("#jqgMOD").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgMOD")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgMOD").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridMOD() {

            var lselMOD;
            var colMap = {};
            $("#jqgMOD").jqGrid({
                datatype: 'local',
                height: 255,
                width: 200,
                colNames: ['', '<%=L.LBL("LblBSModulo")%>', '', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            {
                                name: 'desc_modulo', index: 'desc_modulo', width: 10,  searchoptions: { sopt: ListFindN }
                            },
                            {
                                name: 'conexion', index: 'conexion', width: 10, hidden: true
                            },
                            {
                                name: 'base_datos', index: 'base_datos', width: 10,  hidden: true
                            },
                             {
                                 name: 'Eli', index: 'Eli', width: 10, editable: true, hidden: true
                             },
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselMOD) && !isNaN(id)) {
                            $("#jqgMOD").jqGrid('delRowData', lselMOD);
                            //$('#jqgMOD').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgMOD').jqGrid('saveRow', id);

                            var ret = jQuery("#jqgMOD").jqGrid('getRowData', id);

                            $('#jqgMOD').jqGrid('restoreRow', lselMOD);

                            $('#IdSubElementMOD').val(ret.Id);
                        }
                        else {
                            //BotonNuevoMOD();
                        }

                        $('#jqgMOD').jqGrid('editRow', id, true, EventsMOD);

                        lselMOD = id;

                        $('#IdSubElementAPL').val(0);
                        RefreshGridAPL();
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselMOD)) {
                            $("#jqgMOD").jqGrid('delRowData', lselMOD);
                            $('#jqgMOD').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgMOD').jqGrid('saveRow', lselMOD);
                        }
                    }
                },
                onCellSelect: function (id) {

                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgMOD').jqGrid('restoreRow', id);
                        }
                        //$('#jqgMOD').jqGrid('setSelection', id); 

                        //BotonSelectMOD();
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgMOD").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementMOD').val()) == 0) {
                            $('#IdSubElementMOD').val($("#jqgMOD").getCell(rows[i], "Id"));
                        }
                    }
                    $('#jqgMOD').jqGrid('setSelection', $('#IdSubElementMOD').val());
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgMOD").jqGrid('navGrid','#PaginadorModulos',{del:false,add:false,edit:false,search:false});
            $("#bsdataMOD").click(function () {
                jQuery("#jqgMOD").jqGrid('searchGrid', { multipleSearch: true });
            });

        }

        function EventsMOD(id) {
            $("#" + id + "_desc_modulo").on('input', function () { BotonGuardarMOD(); });
            $("#" + id + "_conexion").on('input', function () { BotonGuardarMOD(); });
            $("#" + id + "_base_datos").on('input', function () { BotonGuardarMOD(); });
            $("#" + id + "_Eli").on('change', function () { BotonGuardarMOD(); });
        }

            <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

            function RefreshGridMOD() {
                $("#jqgMOD").jqGrid("setGridParam", { datatype: "json", datatype: GetMOD, loadonce: true });
                $("#jqgMOD").trigger("reloadGrid");
                $("#jqgMOD").jqGrid("setGridParam", { datatype: "local", loadonce: true });
            }

            <% /* JQ02 */%>

            <% /* Código del jqGrid para Aplicaciones */ %>

            <% /* Función para cargar los datos del Web Service. */ %>

            function GetAPL() {
                $.ajax({
                    url: 'Servicio.svc/GetAplicaciones',
                    data: {
                        "Eliminado": $('#IdSubElementMOD').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                    },
                    dataType: "json",
                    type: "GET",
                    contentType: "application/json; charset=utf-8",
                    beforeSend: function () {
                        $('#dlgCargando2').dialog('open');
                    },
                    success: function (json) {
                        $('#dlgCargando2').dialog('close');
                        try {
                            $("#jqgAPL").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                            var thegrid = $("#jqgAPL")[0];
                            thegrid.addJSONData(JSON.parse(json.d));
                            $("#jqgAPL").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                        }
                        catch (err) {
                            $('#dlgInformation').html(json.d);
                            $('#dlgInformation').dialog('open');
                        }
                    }
                });
            }

            <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

            function LoadGridAPL() {

                var lselAPL;
                var colMap = {};
                $("#jqgAPL").jqGrid({
                    datatype: 'local',
                    height: 255,
                    width: 180,//200
                    colNames: ['', '', '<%=L.LBL("LblBSAplicacion")%>'],
                    colModel: [
                                { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                                { name: 'id_modulo', index: 'id_modulo', width: 10, editable: true, hidden: true },
                                { name: 'desc_app', index: 'desc_app', width: 10, searchoptions: { sopt: ListFindN } },
                    ],
                    onSelectRow: function (id) {
                        if (id) {

                            if (isNaN(lselAPL) && !isNaN(id)) {
                                $("#jqgAPL").jqGrid('delRowData', lselAPL);
                                //$('#jqgAPL').jqGrid('resetSelection');
                            }

                            if (!isNaN(id)) {
                                $('#jqgAPL').jqGrid('saveRow', id);

                                var ret = jQuery("#jqgAPL").jqGrid('getRowData', id);

                                $('#jqgAPL').jqGrid('restoreRow', lselAPL);

                                $('#IdSubElementAPL').val(ret.Id);
                                
                            }
                            else {
                               // BotonNuevoAPL();
                            }

                            $('#jqgAPL').jqGrid('editRow', id, true, EventsAPL);

                            lselAPL = id;

                            $('#IdSubElementOPC').val(0);
                            RefreshGridOPC();
                        }
                    },
                    afterInsertRow: function (id) {
                        if (id) {
                            if (isNaN(lselAPL)) {
                                $("#jqgAPL").jqGrid('delRowData', lselAPL);
                                $('#jqgAPL').jqGrid('resetSelection');
                            }
                            else {
                                $('#jqgAPL').jqGrid('saveRow', lselAPL);
                            }
                        }
                    },
                    onCellSelect: function (id) {
                        if (id) {
                            if (!isNaN(id)) {
                                $('#jqgAPL').jqGrid('restoreRow', id);
                            }

                            //$('#jqgAPL').jqGrid('setSelection', id); 

                            //BotonSelectAPL();
                        }
                    },
                    gridComplete: function () {
                        var rows = $("#jqgAPL").getDataIDs();
                        for (var i = 0; i < rows.length; i++) {
                            if (i == 0 && parseInt($('#IdSubElementAPL').val()) == 0) {
                                $('#IdSubElementAPL').val($("#jqgAPL").getCell(rows[i], "Id"));
                            }
                        }
                        $('#jqgAPL').jqGrid('setSelection', $('#IdSubElementAPL').val());
                        refrescar();
                    },
                    rowNum: 99999999,
                    rowTotal: 99999999,
                    loadonce: true,
                    mtype: "GET",
                    rownumbers: false,
                    rownumWidth: 40,
                    gridview: true,
                    sortname: 'Id',
                    viewrecords: true,
                    sortorder: "asc",
                    ignoreCase: true,
                    scrollrows: true,
                    editurl: "Dummy.aspx"
                    //multiselect: true,
                    //altRows: true,
                    //altclass:'ui-widget-header'
                });

                //$("#jqgAPL").jqGrid('navGrid','#PaginadorAplicaciones',{del:false,add:false,edit:false,search:false});
                $("#bsdataAPL").click(function () {
                    jQuery("#jqgAPL").jqGrid('searchGrid', { multipleSearch: true });
                });

            }

            function EventsAPL(id) {
                $("#" + id + "_id_modulo").on('change', function () { BotonGuardarAPL(); });
                $("#" + id + "_desc_app").on('input', function () { BotonGuardarAPL(); });
            }

            <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

            function RefreshGridAPL() {
                $("#jqgAPL").jqGrid("setGridParam", { datatype: "json", datatype: GetAPL, loadonce: true });
                $("#jqgAPL").trigger("reloadGrid");
                $("#jqgAPL").jqGrid("setGridParam", { datatype: "local", loadonce: true });
            }

            <% /* JQ03 */%>

            <% /* Código del jqGrid para Opciones */ %>

            <% /* Función para cargar los datos del Web Service. */ %>

            function GetOPC() {
                $.ajax({
                    url: 'Servicio.svc/GetOpciones',
                    data: {
                        "Eliminado": $('#IdSubElementAPL').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                    },
                    dataType: "json",
                    type: "GET",
                    contentType: "application/json; charset=utf-8",
                    beforeSend: function () {
                        $('#dlgCargando3').dialog('open');
                    },
                    success: function (json) {
                        $('#dlgCargando3').dialog('close');
                        try {
                            $("#jqgOPC").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                            var thegrid = $("#jqgOPC")[0];
                            thegrid.addJSONData(JSON.parse(json.d));
                            $("#jqgOPC").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                        }
                        catch (err) {
                            $('#dlgInformation').html(json.d);
                            $('#dlgInformation').dialog('open');
                        }
                    }
                });
            }

            <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

            function LoadGridOPC() {

                var lselOPC;
                var colMap = {};
                $("#jqgOPC").jqGrid({
                    datatype: 'local',
                    height: 255,
                    width: 320,//300
                    colNames: ['', '', '<%=L.LBL("LblGENOpciones")%>', '<%=L.LBL("LblMANBitacora")%>', '', '<%=L.LBL("LblGENHistórico")%>', '','',''],
                    colModel: [
                                { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                                { name: 'id_app', index: 'id_app', width: 1, editable: true, hidden: true },
                                {
                                    name: 'desc_opc', index: 'desc_opc', width: 74, editable: true,
                                    searchoptions: { sopt: ListFindT }
                                },
                                {
                                    name: 'va_log_sheet', index: 'va_log_sheet', width: 11, editable: true, search: false,
                                    edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: '1:0' },
                                    formatoptions: { disabled: true }, align: 'center'
                                },
                                { name: 'id_parent', index: 'id_parent', width: 1, editable: true, hidden: true },
                                {
                                    name: 'historico', index: 'historico', width: 11, editable: true, search: false,
                                    edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: '1:0' },
                                    formatoptions: { disabled: true }, align: 'center'
                                },
                                { name: 'Eli', index: 'Eli', width: 1, search: false, hidden: true },
                                {
                                    name: 'inf', index: 'inf', width: 11, editable: false,
                                    formatter: InfButtonFormatter, align: 'center'
                                },
                                { name: 'X', index: 'X', width: 5, search: false, hidden: true },
                    ],
                    onSelectRow: function (id) {
                        if (id) {

                            if (isNaN(lselOPC) && !isNaN(id)) {
                                $("#jqgOPC").jqGrid('delRowData', lselOPC);
                                //$('#jqgOPC').jqGrid('resetSelection');
                            }

                            if (!isNaN(id)) {
                                $('#jqgOPC').jqGrid('saveRow', id);

                                var ret = jQuery("#jqgOPC").jqGrid('getRowData', id);

                                $('#jqgOPC').jqGrid('restoreRow', lselOPC);

                                $('#IdSubElementOPC').val(ret.Id);
                            }
                            else {
                                //BotonNuevoOPC();
                            }

                            //$('#jqgOPC').jqGrid('editRow', id, true, EventsOPC);

                            lselOPC = id;
                        }
                    },
                    afterInsertRow: function (id) {
                        if (id) {
                            if (isNaN(lselOPC)) {
                                $("#jqgOPC").jqGrid('delRowData', lselOPC);
                                $('#jqgOPC').jqGrid('resetSelection');
                            }
                            else {
                                $('#jqgOPC').jqGrid('saveRow', lselOPC);
                            }
                        }
                    },
                    onCellSelect: function (id) {
                        if (id) {
                            if (!isNaN(id)) {
                                $('#jqgOPC').jqGrid('restoreRow', id);
                            }

                            //$('#jqgOPC').jqGrid('setSelection', id); 

                            //BotonSelectOPC();
                        }
                    },
                    gridComplete: function () {
                        var rows = $("#jqgOPC").getDataIDs();
                        for (var i = 0; i < rows.length; i++) {
                            if (i == 0 && parseInt($('#IdSubElementOPC').val()) == 0) {
                               // $('#IdSubElementOPC').val($("#jqgOPC").getCell(rows[i], "Id"));
                            }
                            var status = $("#jqgOPC").getCell(rows[i], "Eli");

                            var fila1 = $("#jqgOPC").getCell(rows[i], "desc_opc");
                            var fila2 = $("#jqgOPC").getCell(rows[i + 1], "desc_opc");

                            if (fila1[0] != ' ' && fila2[2] == ' ') {
                                $("#jqgOPC").jqGrid('setCell', rows[i], 'desc_opc', '', { 'font-weight': 'bold' });
                            }
                            if (fila1[3] != ' ' && fila2[3] == ' ' && fila2[4] == ' ' && fila2[5] == ' ') {
                                $("#jqgOPC").jqGrid('setCell', rows[i], 'desc_opc', '', { 'font-weight': 'bold' });
                            }
                            if (fila1[6] != ' ' && fila2[6] == ' ' && fila2[7] == ' ' && fila2[8] == ' ') {
                                $("#jqgOPC").jqGrid('setCell', rows[i], 'desc_opc', '', { 'font-weight': 'bold' });
                            }
                            if (fila1[9] != ' ' && fila2[9] == ' ' && fila2[10] == ' ' && fila2[11] == ' ') {
                                $("#jqgOPC").jqGrid('setCell', rows[i], 'desc_opc', '', { 'font-weight': 'bold' });
                            }

                        }
                        $('#jqgOPC').jqGrid('setSelection', $('#IdSubElementOPC').val());
                    },
                    rowNum: 99999999,
                    rowTotal: 99999999,
                    loadonce: true,
                    mtype: "GET",
                    rownumbers: false,
                    rownumWidth: 40,
                    gridview: true,
                    sortname: 'Id',
                    viewrecords: true,
                    sortorder: "asc",
                    ignoreCase: true,
                    scrollrows: true,
                    editurl: "Dummy.aspx"
                    //multiselect: true,
                    //altRows: true,
                    //altclass:'ui-widget-header'
                });

                //$("#jqgOPC").jqGrid('navGrid','#PaginadorOpciones',{del:false,add:false,edit:false,search:false});
                $("#bsdataOpciones").click(function () {
                    jQuery("#jqgOPC").jqGrid('searchGrid', { multipleSearch: true });
                });

            }

            function EventsOPC(id) {
                $("#" + id + "_id_app").on('change', function () { BotonGuardarOPC(); });
                $("#" + id + "_desc_opc").prop("readonly", true).on('input', function () { BotonGuardarOPC(); });
                $("#" + id + "_va_log_sheet").prop("disabled", true).on('change', function () { BotonGuardarOPC(); });
                $("#" + id + "_id_parent").on('change', function () { BotonGuardarOPC(); });
                $("#" + id + "_historico").prop("disabled", true).on('change', function () { BotonGuardarOPC(); });
            }

            <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

            function RefreshGridOPC() {
                $("#jqgOPC").jqGrid("setGridParam", { datatype: "json", datatype: GetOPC, loadonce: true });
                $("#jqgOPC").trigger("reloadGrid");
                $("#jqgOPC").jqGrid("setGridParam", { datatype: "local", loadonce: true });
            }

        <% /* JQ04 */%>

        <% /* Código del jqGrid para Accesos */ %>

        
        function GetUSU() {
            $.ajax({
                url: 'Servicio.svc/GetAcceso',
                data: {"Opcion": $("#cbOpcion").val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando4').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando4').dialog('close');
                    try
                    {
                        $("#jqgUSU").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                        var thegrid = $("#jqgUSU")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgUSU").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    }
                    catch(err)
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridUSU() {
        
            var lselUSU;
            var colMap = {};
            $("#jqgUSU").jqGrid({
                datatype: 'local',
                height: 255,
                width: 585,//750
                colNames: ['<%=L.LBL("LblGENUser")%>', '<%=L.LBL("LblGENDescription")%>', '<%=L.LBL("LblMANUSUUltimoAcceso")%>', ''],
                colModel: [
                            { name: 'nombre', index: 'nombre', width: 5, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'descripcion', index: 'descripcion', width: 10, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'Fecha_acceso', index: 'Fecha_acceso', width: 10, editable: true, searchoptions: { sopt: ListFindT } },
                            {
                                name: 'admin', index: 'admin', width: 1, editable: true, hidden: true,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: '1:0' },
                                formatoptions: { disabled: true }, align: 'center'
                            },
   	                    ],
                onSelectRow: function(id){
                    if(id ){
                        
                        if(isNaN(lselUSU) && !isNaN(id))
                        {
                            $("#jqgUSU").jqGrid('delRowData', lselUSU);
                            //$('#jqgUSU').jqGrid('resetSelection');
                        }

                        if(!isNaN(id))
                        {
                            $('#jqgUSU').jqGrid('saveRow', id);
                            
                            var ret = jQuery("#jqgUSU").jqGrid('getRowData',id); 

                            $('#jqgUSU').jqGrid('restoreRow',lselUSU);

                            $('#IdSubElementUSU').val(ret.Id);
                        }
                        else
                        {
                            //BotonNuevoUSU();
                        }

                        $('#jqgUSU').jqGrid('editRow', id, true, EventsUSU);
                       
                        lselUSU = id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselUSU))
                        {
                            $("#jqgUSU").jqGrid('delRowData', lselUSU);
                            $('#jqgUSU').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgUSU').jqGrid('saveRow',lselUSU);
                        }
                    }
                },
                onCellSelect: function(id){
                    if (id) {

                        if(!isNaN(id))
                        {
                            $('#jqgUSU').jqGrid('restoreRow',id);
                        }

                        //$('#jqgUSU').jqGrid('setSelection', id); 

                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgUSU").getDataIDs();

                    for (var i = 0; i < rows.length; i++)
                    { 
                        var admin = $("#jqgUSU").getCell(rows[i], "admin");

                        if (admin == 1)
                        {
                            $("#jqgUSU").jqGrid('setCell', rows[i], 'nombre', '', { 'font-weight': 'bold' });
                            $("#jqgUSU").jqGrid('setCell', rows[i], 'descripcion', '', { 'font-weight': 'bold' });
                            $("#jqgUSU").jqGrid('setCell', rows[i], 'Fecha_acceso', '', { 'font-weight': 'bold' });
                        }
                    }
                    $('#jqgUSU').jqGrid('setSelection', $('#IdSubElementUSU').val());
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl:"Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgUSU").jqGrid('navGrid','#PaginadorUsuario',{del:false,add:false,edit:false,search:false});
            $("#bsdataUSU").click(function(){ 
                jQuery("#jqgUSU").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function EventsUSU(id) {
            $("#" + id + "_nombre").on('input', function () {  });
            $("#" + id + "_descripcion").on('input', function () {  });
            $("#" + id + "_Fecha_acceso").on('input', function () {  });
            $("#" + id + "_admin").on('change', function () {  });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridUSU()
        {
            $("#jqgUSU").jqGrid("setGridParam", {datatype: "json", datatype: GetUSU, loadonce: true});
            $("#jqgUSU").trigger("reloadGrid"); 
            $("#jqgUSU").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* JQ05 */%>

          function GetSAPL() {
            $.ajax({
                url: 'Servicio.svc/GetSelectAplicaciones',
                data: {"Id": $("#cbModulo").val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando5').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando5').dialog('close');
                    try
                    {
                        datos = JSON.parse(json.d);
                        if (datos.rows.length != 0) {

                            for (var i = 0; i < datos.rows.length; i++) {
                                $('#cbAplicacion').append("<option value=\"" + datos.rows[i].cell[0] + "\">" + datos.rows[i].cell[1] + "</option>");
                            }
                            $("#cbAplicacion").val($('#txtAPL').val());
                            GetSOPC();
                        }
                    }
                    catch(err)
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
          }

         function GetSOPC() {
            $.ajax({
                url: 'Servicio.svc/GetSelectOpciones',
                data: {"Id": $("#cbAplicacion").val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando6').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando6').dialog('close');
                    try
                    {
                        datos = JSON.parse(json.d);

                        if (datos.rows.length != 0) {

                            for (var i = 0; i < datos.rows.length; i++) {
                                $('#cbOpcion').append("<option value=\"" + datos.rows[i].cell[0] + "\">" + datos.rows[i].cell[1] + "</option>");
                            }

                            $("#cbOpcion").val($('#txtOPC').val());
                            RefreshGridUSU();
                        }
                    
                    }
                    catch(err)
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* JQ06 */%>

            <% /* Código Varios */ %>

            function refrescar() {
                var rows = $("#jqgOPC").getDataIDs();
                var ret = jQuery("#jqgOPC").jqGrid('getRowData', rows[0]);

                var rows2 = $("#jqgAPL").getDataIDs();

                var APL = $('#IdSubElementAPL').val();

                for (var i = 0; i < rows2.length; i++) {
                    if (ret.id_app == rows2[i] && !isNaN(ret.id_app)) {
                        $('#IdSubElementAPL').val(APL);
                        break;
                    }
                    else {
                        $('#IdSubElementAPL').val(0);
                    }
                }
            }

        <% /*funcion para mostrar en columna Inf como boton con imagen*/ %>

        function InfButtonFormatter(cellvalue, options, rowObject)
        {
            return "<button type='button' onclick='DialogInf(" + rowObject[0] + ");'><img src='img/information-italic.png' /></button>";
        }

        function CambioSelectMOD() {
            $("#cbOpcion").empty();
            $("#cbAplicacion").empty();
            $('#txtAPL').val('')
            $('#txtOPC').val('')
            GetSAPL();
        }

        function CambioSelectAPL() {
            $("#cbOpcion").empty();
            $('#txtAPL').val('')
            $('#txtOPC').val('')
            GetSOPC();
        }

        function CambioSelectOPC()
        {
            RefreshGridUSU();
        }

        <% /*funcion que muestra dialogo de informacion*/ %>

        function DialogInf(id)
        {
            $("#cbOpcion").empty();
            $("#cbAplicacion").empty();

            var ret = jQuery("#jqgOPC").jqGrid('getRowData', id);
            $("#cbModulo").val($('#IdSubElementMOD').val());
            $('#txtAPL').val(ret.id_app)
            $('#txtOPC').val(id)
            
            GetSAPL();

            $("#informacion").dialog({
                resizable: false,
                height: 'auto',
                width:'auto',
                modal: true,
                position: 'center',
                close: function ()
                {
                },
                buttons:
                    {
                        
                        '<%=L.LBL("LblGENAceptar")%>': function ()
                        {
                                $(this).dialog("close");
                        },
                        '<%=L.LBL("LblGENPrint") %>': function ()
                        {
                            ImprimirListadoDialog();
                           // $(this).dialog("close");
                                        
                        },
                        '<%=L.LBL("LblMANBitacora") %>': function ()
                        {
                            ImprimirBitacora();
                            //$(this).dialog("close");
                                        
                        },
                    }
            });
        }

        //<img src="img/printer.png" />

            <% /* JS_FUN_BASE */%>

            <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

            function ImprimirListado() {
                window.open('Informe.aspx?r=110' , '_blank');
            }

            function ImprimirListadoDialog() {
                window.open('Informe.aspx?r=115&m=' + $("#cbModulo").val()
                    + '&a=' + $('#txtAPL').val()
                    + '&o=' + $('#txtOPC').val(),
                    '_blank');
            }

            function ImprimirBitacora() {
                window.open('Informe.aspx?r=1000'
                    + '&s=' + '01/01/2000'
                    + '&f=' + ''
                    + '&u=' + ''
                    + '&m=' + $('#cbModulo').val()
                    + '&a=' + $('#cbAplicacion').val()
                    + '&d=' + ''
                    + '&o=' + $('#cbOpcion').val()
                    + '&t=' + ''
                , "_blank");
            }

    </script>

    <script type="text/javascript">

        <% /* JS_DOC */%>

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando2").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando3").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando4").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando5").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando6").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando7").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando8").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando9").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando10").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            LoadGridMOD();

            RefreshGridMOD();

            LoadGridAPL();

            //RefreshGridAPL();

            LoadGridOPC();

            //RefreshGridOPC();

            LoadGridUSU();

            $("#SevenMenu").accordion("option", "active", 1);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#Loader').css('height', '0px');
        });
    </script>

    <% }
        catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
        { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.open('Menu.aspx#M2', '_top');" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="../img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="Modulos.aspx"><%=L.TIT("Modulos") %> <%--[2.1]--%></a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 675px;">

                <div id="Loader" style="width: 2000px; height: 4000px;">
                </div>

                <% /* DLG_VAR */%>

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando2" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando3" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando4" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando5" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando6" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando7" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando8" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando9" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando10" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <% /* TIT */%>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("Modulos") %> <%--[2.1]--%></span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultMOD();RefreshGridMOD();" value="1" />
                                            <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/2-1-operaciones-sobre-folios/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <% /* HH */ %>

                <div id="HiddenHive">
                    <div id="HabFEData">
                    </div>
                </div>

                <br />

                <table id="jqgTOD" style="width:100%">
                    <tr>
                        <td id="MOD">
                            <input type="hidden" id="IdSubElementMOD" value="0" />
                            <table id="jqgMOD"></table>
                        </td>
                        <td id="APL">
                            <input type="hidden" id="IdSubElementAPL" value="0" />
                            <table id="jqgAPL"></table>
                        </td>
                        <td id="OPC">
                            <input type="hidden" id="IdSubElementOPC" value="0" />
                            <table id="jqgOPC"></table>
                        </td>
                    </tr>
                </table>

            <div id="informacion" title="<%=L.LBL("LblMANMODAccesosOpcion") %>" hidden="hidden">
                <table style="margin: 0 auto; text-align: left;">
                    <tr>
                        <td>
                            <%=L.LBL("LblBSModulo") %>:
                        </td>
                        <td>
                            <select name="cbModulo" id="cbModulo" onchange="CambioSelectMOD()" style="width: 375px;">
                                 <%
                                   foreach (System.Data.DataRow dr in cbModulos.Rows)
                                    {
                                      Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString(), false));
                                    }
                                 %>
                             </select>
                        </td>
                    </tr>
                </table>
                <br />
                <table>
                    <tr>
                        <td>
                            <%=L.LBL("LblBSAplicacion") %>:
                        </td>
                        <td>
                            &nbsp;
                        </td>
                        <td>
                            <%=L.LBL("LblBSOpcion") %>:
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <select name="cbAplicacion" id="cbAplicacion" onchange="CambioSelectAPL()" style="width: 250px;">
                                 <%
//foreach (System.Data.DataRow dr in cbAplicaciones.Rows)
// {
//   Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString(), false));
// }
                                 %>
                             </select>
                        </td>
                        <td>
                            &nbsp;
                        </td>
                        <td>
                            <select name="cbOpcion" id="cbOpcion" onchange="CambioSelectOPC()" style="width: 325px;">
                                 <%
//foreach (System.Data.DataRow dr in cbOpciones.Rows)
// {
//   Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString(), false));
// }
                                 %>
                             </select>
                        </td>
                    </tr>
                </table>
                <br />
                        <input type="hidden" id="IdSubElementUSU" value="0" />
                        <table id="jqgUSU"></table>
               </div>

                <input type="text" id="txtAPL" hidden="hidden" />
                <input type="text" id="txtOPC" hidden="hidden" />

            </div>

        </div>

    </div>

    <% }
        catch { } %>
</asp:Content>

