﻿<%@ Import Namespace="Seven.Management" %>
<%@ Import Namespace="Seven.Management.Globals" %>
<%@ Import Namespace="Seven.Management.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="PermisosUsuarios.aspx.cs" Inherits="Seven.Management.PermisosUsuarios" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title><%=L.TIT("PermisosUsuarios") %> <%--[2.1]--%></title>

    <script type="text/javascript">

    <% 
        
       /* 
        * 
        * Índice de Código 
        * 
        * JQ01 - Grid Funciones
        * 
        * JQ02 - Grid Acceso a Datos Permisos
        * 
        *   Acceso a Opciones
        * 
        * JQ03 - Grid Modulos
        * JQ04 - Grid Aplicaciones
        * JQ05 - Grid Opciones
        * JQ06 - Boton Aplicar Plantilla
        * 
        * JS_FUN_BASE  - Funciones Javascript para Carga de Datos Base
        * JS_DOC       - Funciones Javascript en Document.Ready()
        * 
        * DLG_VAR      - Diálogos Varios
        * 
        * TIT - Título
        * 
        * HH  - Hidden Hive - Almacen de datos en campos ocultos
        * 
        * B01 - Cuandro Información Principal
        * B02 - Formulario Principal OH
        * B03 - Zona Informativa 
        * 
        */
        
    %>

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        <% /* JQ01 */%>

        <% /* carga las pestañas */%>
        $(function () {
            $("#tabs").tabs();
        });

        <% /* obtengo varibles pasadas por get */%>
        (function ($) {
            $.get = function (key) {
                key = key.replace(/[\[]/, '\\[');
                key = key.replace(/[\]]/, '\\]');
                var pattern = "[\\?&]" + key + "=([^&#]*)";
                var regex = new RegExp(pattern);
                var url = unescape(window.location.href);
                var results = regex.exec(url);
                if (results === null) {
                    return null;
                } else {
                    return results[1];
                }
            }
        })(jQuery);
        
        <% /* seleciona en el select el id_oper deacuerdo al get */%>

        function CargaSelectUsuario()
        {
            var id_usu = $.get("id");//null es caso de no entrar por usuarios

            $("#cbUsuarios").val(id_usu);

            RefreshGridPER();
            CambioSelect();
        }

        <% /* si cambia el select carga nueva seleccion */%>

        function CambioSelect()
        {
            RefreshGridPER();
            RefreshGridMOD();
        }
            function refrescar()
            {
                var rows = $("#jqgOPC").getDataIDs();
                var ret = jQuery("#jqgOPC").jqGrid('getRowData', rows[0]);

                var rows2 = $("#jqgAPL").getDataIDs();

                var APL = $('#IdSubElementAPL').val();

                for (var i = 0; i < rows2.length; i++)
                {
                    if (ret.id_app == rows2[i] && !isNaN(ret.id_app))
                    {
                        $('#IdSubElementAPL').val(APL);
                        break;
                    }
                    else
                    {
                        $('#IdSubElementAPL').val(0);
                    }
                }
            }

        <% /* Dialog para guardar o quitar las aplicaciones y las opciones ligado al Modulo selecionado */%>

            function TodoModulo(id)
            {
                if ($("#" + id + "_chactivo:checked").val() == 1) {
                    $("#AgregarModulo").prop("hidden", false)
                    $("#EliminarModulo").prop("hidden", true)

                    $("#txtUsuModuloA").val(($("#cbUsuarios option:selected").text()).split("-")[0]);

                    var ret = jQuery("#jqgMOD").jqGrid('getRowData', id);
                    $("#txtModuloA").val(ret.desc_modulo);
                }
                else {
                    $("#EliminarModulo").prop("hidden", false)
                    $("#AgregarModulo").prop("hidden", true)

                    $("#txtUsuModuloE").val(($("#cbUsuarios option:selected").text()).split("-")[0]);

                    var ret = jQuery("#jqgMOD").jqGrid('getRowData', id);
                    $("#txtModuloE").val(ret.desc_modulo);
                }
                    $("#InfoModulo").dialog({
                        resizable: false,
                        height: 'auto',
                        width: 'auto',
                        modal: true,
                        position: 'center',
                        close: function () {
                        },
                        buttons:
                            {
                                '<%=L.LBL("LblGENYes")%>': function ()
                                {

                                    SaveMOD();
                                    $(this).dialog("close");
                                },
                                '<%=L.LBL("LblGENNo")%>': function ()
                                {
                                    if ($("#" + id + "_chactivo:checked").val() == 1)
                                    {
                                        $("#" + id + "_chactivo").prop("checked", false)
                                    }
                                    else
                                    {
                                        $("#" + id + "_chactivo").prop("checked", true)
                                    }
                                    
                                    $(this).dialog("close");
                                },
                                
                            }
                    });
            }

        <% /* Dialog para guardar o quitar las opciones ligado a la aplicacion selecionada */%>

        function TodasAplicaciones(id)
        {
             if ($("#" + id + "_activo:checked").val() == 1) {
                 $("#AgregarAplicacion").prop("hidden", false)
                    $("#EliminarAplicacion").prop("hidden", true)

                    $("#txtUsuAplicacionoA").val(($("#cbUsuarios option:selected").text()).split("-")[0]);

                    var ret = jQuery("#jqgAPL").jqGrid('getRowData', id);
                    $("#txtAplicacionA").val(ret.desc_app);
                }
                else {
                    $("#EliminarAplicacion").prop("hidden", false)
                    $("#AgregarAplicacion").prop("hidden", true)

                    $("#txtUsuAplicacionE").val(($("#cbUsuarios option:selected").text()).split("-")[0]);

                    var ret = jQuery("#jqgAPL").jqGrid('getRowData', id);
                    $("#txtAplicacionE").val(ret.desc_app);
                }
                    $("#InfoAplicacion").dialog({
                        resizable: false,
                        height: 'auto',
                        width: 'auto',
                        modal: true,
                        position: 'center',
                        close: function () {
                        },
                        buttons:
                            {
                                '<%=L.LBL("LblGENYes")%>': function ()
                                {

                                    SaveAPL();
                                    $(this).dialog("close");
                                },
                                '<%=L.LBL("LblGENNo")%>': function ()
                                {
                                    if ($("#" + id + "_activo:checked").val() == 1)
                                    {
                                        $("#" + id + "_activo").prop("checked", false)
                                    }
                                    else
                                    {
                                        $("#" + id + "_activo").prop("checked", true)
                                    }
                                    
                                    $(this).dialog("close");
                                },
                                
                            }
                    });
        }

        function AplicarPlantilla() {

            $("#txtOperador").val(($("#cbUsuarios option:selected").text()).split("-")[0]);
            $("#txtPlantilla").val(($("#cbAccesos option:selected").text()).split("-")[0]);

            $("#InfoPlantilla").dialog({
                resizable: false,
                height: 'auto',
                width: 'auto',
                modal: true,
                position: 'center',
                close: function () {
                },
                buttons:
                    {
                        '<%=L.LBL("LblGENYes")%>': function () {

                            PutBOT();
                            $(this).dialog("close");
                        },
                        '<%=L.LBL("LblGENNo")%>': function ()
                        {
                            $(this).dialog("close");
                        },
                        
                    }
            });
        }

        <% /* JQ02 */%>

        <% /* Código del jqGrid para Datos y modulo */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetPER() {
            $.ajax({
                url: 'Servicio.svc/GetPermisosDatosUsuario',
                data: { "id_oper": $("#cbUsuarios").val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    try
                    {
                        $("#jqgPER").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                        var thegrid = $("#jqgPER")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgPER").jqGrid("setGridParam", { datatype: "local", loadonce: true });

                        //console.log(thegrid);
                        //$('#jqgPER td:nth-(4),#jqgPER tr:nth-(4)').hide();

                    }
                    catch(err)
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutPER(id, id_oper, eli) {
            $.ajax({
                url: 'Servicio.svc/PutPermisosDatosUsuario',
                data: {"id_dato": id, "id_oper": id_oper, "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando2').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando2').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if(eli == 1){
                            $('#IdSubElementPER').val(0);
                            //BotonDefaultPER();
                            RefreshGridPER();
                        }
                        else
                        {
                            if(id > 0 || id < 0){
                                //BotonDefaultPER();
                                RefreshGridPER();
                            }
                            else
                            {
                                $('#IdSubElementPER').val(res);
                                //BotonDefaultPER();
                                RefreshGridPER();
                            }
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridPER() {
        
            var lselPER;
            var colMap = {};
            $("#jqgPER").jqGrid({
                datatype: 'local',
                height: 380,//255
                width: 660,//700
                colNames: ['','', '<%=L.LBL("LblMANPERDescripcionDato") %>', '<%=L.LBL("LblBSDatos") %>', '<%=L.LBL("LblBSModulo") %>'],
                colModel: [
                            { name: 'Id', index: 'Id', width: 2, sorttype: 'int', hidden: true },
                            {
                                name: 'activo', index: 'activo', width: 2, search: false, editable: true,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: '1:0' },
                                formatoptions: { disabled: true }, align: 'center'
                            },
                            { name: 'descripcionDAT', index: 'descripcionDAT', width: 8, editable: false, searchoptions: { sopt: ListFindT } },
                            { name: 'base_datos', index: 'base_datos', width: 9, editable: false, searchoptions: { sopt: ListFindT } },
                            { name: 'desc_modulo', index: 'desc_modulo', width: 10, editable: false, searchoptions: { sopt: ListFindT } }
                            
                ],

                onSelectRow: function (id) {
                    if (id) {

                        if(isNaN(lselPER) && !isNaN(id))
                        {
                            $("#jqgPER").jqGrid('delRowData', lselPER);
                            //$('#jqgPER').jqGrid('resetSelection');

                        }

                        if(!isNaN(id))
                        {
                            $('#jqgPER').jqGrid('saveRow', id);
                            
                            var ret = jQuery("#jqgPER").jqGrid('getRowData', id);

                            $('#jqgPER').jqGrid('restoreRow',lselPER);

                            $('#IdSubElementPER').val(ret.Id);
                        }
                        else
                        {
                            //BotonNuevoPER();
                        }

                        //$('#jqgPER').jqGrid('resetSelection');
                        $('#jqgPER').jqGrid('editRow', id, true, EventsPER);
                        

                        lselPER = id;
                    }
                },
                afterInsertRow: function(id){
                    if (id) {

                        if(isNaN(lselPER))
                        {
                            $("#jqgPER").jqGrid('delRowData', lselPER);
                            $('#jqgPER').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgPER').jqGrid('saveRow',lselPER);
                        }
                    }
                },
                onCellSelect: function (id) {

                    if(id){
                        if(!isNaN(id))
                        {
                            $('#jqgPER').jqGrid('restoreRow',id);
                        }

                        var ret = jQuery("#jqgPER").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextPER').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconPER').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextPER').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconPER').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgPER').jqGrid('setSelection', id);

                        //BotonSelectPER(); //$('input#id_reg_pass').removeAttr("type");
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgPER").getDataIDs();

                    for (var i = 0; i < rows.length; i++)
                    {

                        if(i == 0 && parseInt($('#IdSubElementPER').val()) == 0)
                        {
                            //$('#IdSubElementPER').val($("#jqgPER").getCell(rows[i], "Id"));
                        }

                        var status  = $("#jqgPER").getCell(rows[i],"Eli");

                        if (status == "True") {
                            $("#jqgPER").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }

                    $('#jqgPER').jqGrid('setSelection', $('#IdSubElementPER').val());

                    if(parseInt($('#IdSubElementPER').val()) != 0)
                    {
                        //BotonSelectPER();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl:"Dummy.aspx"
                //multiselect: true
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgPER").jqGrid('navGrid','#PaginadorDatos',{del:false,add:false,edit:false,search:false});
            $("#bsdataDAT").click(function(){jQuery("#jqgPER").jqGrid('searchGrid', {multipleSearch:true}); });
        
        }

        function EventsPER(id) {
            $("#" + id + "_activo").on('change', function () { SavePER(); });
            $("#" + id + "_descripcionPER").on('input', function () {});
            $("#" + id + "_base_datos").on('input', function () {});
            $("#" + id + "_desc_modulo").on('input', function () {});
            
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridPER()
        {
            $("#jqgPER").jqGrid("setGridParam", {datatype: "json", datatype: GetPER, loadonce: true});
            $("#jqgPER").trigger("reloadGrid"); 
            $("#jqgPER").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SavePER()
        {
            var id = $("#jqgPER").jqGrid('getGridParam', 'selrow');

            if( $("#" + id + "_activo:checked").val()==1)
            {
                PutPER(id, $("#cbUsuarios").val(), 0);
            }
            else
            {
                PutPER(id, $("#cbUsuarios").val(), 1);
            }

            //$("#VericarCarga").val(0)

            //var seleccion = $("#jqgPER").jqGrid('getGridParam', 'selarrrow').toString()

            //var cantidad = seleccion.split(",").length;

            //for (var i = 0; i < cantidad; i++)
            //{
            //    if (id == seleccion.split(",")[i])
            //    {
            //        PutPER(id, $("#cbUsuarios").val(), 0);
            //    }
            //}

            //PutPER(id, $("#cbUsuarios").val(), 1);
        }

        <% /* JQ03 */%>

        <% /* Código del jqGrid para Modulos */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetMOD() {
            $.ajax({
                url: 'Servicio.svc/GetPermisosOpcionesUsuario',
                data: {
                    "Opcion": 0, "Id": $('#IdSubElementMOD').val(), "Operador": $("#cbUsuarios").val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando3').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando3').dialog('close');
                    try {
                        $("#jqgMOD").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgMOD")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgMOD").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutMOD(Opcion, id, id_oper, eli) {
            $.ajax({
                url: 'Servicio.svc/PutPermisosOpcionesUsuario',
                data: {
                    "Opcion": Opcion, "Id": id, "Operador": id_oper, "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando4').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando4').dialog('close');
                    var res = json.d;
                    if (res > 0 || res < 0) {
                        if (eli == 1) {
                            $('#IdSubElementMOD').val(0);
                        }
                        else {
                            if (id > 0 || id < 0) {
                            }
                            else {
                                $('#IdSubElementMOD').val(res);
                            }
                        }
                    }
                    else {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridMOD() {

            var lselMOD;
            var colMap = {};
            $("#jqgMOD").jqGrid({
                datatype: 'local',
                height: 175,//255
                width: 250,//200
                colNames: ['', '','', '<%=L.LBL("LblBSModulo")%>', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            {
                                name: 'chactivo', index: 'chactivo', width: 1, search: false, editable: true,
                                edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: '1:0' },
                                formatoptions: { disabled: true }, align: 'center'
                            },
                            {
                                name: 'negri', index: 'negri', width: 2, sorttype: 'int', hidden: true, align: 'center'
                            },
                            {
                                name: 'desc_modulo', index: 'desc_modulo', width: 10, editable: false, searchoptions: { sopt: ListFindN }
                            },
                             { name: 'Eli', index: 'Eli', width: 10, editable: true, hidden: true },
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselMOD) && !isNaN(id)) {
                            $("#jqgMOD").jqGrid('delRowData', lselMOD);
                            //$('#jqgMOD').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgMOD').jqGrid('saveRow', id);

                            var ret = jQuery("#jqgMOD").jqGrid('getRowData', id);

                            $('#jqgMOD').jqGrid('restoreRow', lselMOD);

                            $('#IdSubElementMOD').val(ret.Id);
                        }
                        else {
                            //BotonNuevoMOD();
                        }

                        $('#jqgMOD').jqGrid('editRow', id, true, EventsMOD);

                        lselMOD = id;
                    }

                    RefreshGridAPL();
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselMOD)) {
                            $("#jqgMOD").jqGrid('delRowData', lselMOD);
                            $('#jqgMOD').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgMOD').jqGrid('saveRow', lselMOD);
                        }
                    }
                },
                onCellSelect: function (id) {

                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgMOD').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgMOD").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextMOD').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconMOD').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextMOD').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconMOD').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgMOD').jqGrid('setSelection', id); 

                        //BotonSelectMOD();
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgMOD").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementMOD').val()) == 0) {
                            $('#IdSubElementMOD').val($("#jqgMOD").getCell(rows[i], "Id"));
                        }
                        var status = $("#jqgMOD").getCell(rows[i], "negri");

                        if (status == 1) {
                            $("#jqgMOD").jqGrid('setCell', rows[i], 'desc_modulo', '', { 'font-weight': 'bold' });
                        }
                        else {
                            $("#jqgMOD").jqGrid('setCell', rows[i], 'desc_modulo', '', { 'font-weight': 'normal' });
                        }
                    }
                    $('#jqgMOD').jqGrid('setSelection', $('#IdSubElementMOD').val());

                    if (parseInt($('#IdSubElementMOD').val()) != 0) {
                        //BotonSelectMOD();
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgMOD").jqGrid('navGrid','#PaginadorModulos',{del:false,add:false,edit:false,search:false});
            $("#bsdataMOD").click(function () {
                jQuery("#jqgMOD").jqGrid('searchGrid', { multipleSearch: true });
            });

        }

        function EventsMOD(id) {
            $("#" + id + "_chactivo").on('change', function () { TodoModulo(id) })
        }

            <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

            function RefreshGridMOD() {
                $("#jqgMOD").jqGrid("setGridParam", { datatype: "json", datatype: GetMOD, loadonce: true });
                $("#jqgMOD").trigger("reloadGrid");
                $("#jqgMOD").jqGrid("setGridParam", { datatype: "local", loadonce: true });
            }

            <% /* Función que salva los datos modificados en una fila. */ %>

            function SaveMOD()
            {
                var id = $("#jqgMOD").jqGrid('getGridParam', 'selrow');

                if ($("#" + id + "_chactivo:checked").val() == 1) {
                    PutOPC(0, id, $("#cbUsuarios").val(), 0);
                }
                else {
                    PutOPC(0, id, $("#cbUsuarios").val(), 1);
                }
            }



            <% /* Función que elimina un registro. */ %>

            function DeleteMOD() {
                var id = $("#jqgMOD").jqGrid('getGridParam', 'selrow');
                if (id) {
                    PutMOD(id, $('#' + id + '_desc_modulo').val(), $('#' + id + '_conexion').val(), $('#' + id + '_base_datos').val(), 1);
                }
                else {
                    $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>");
                    $('#dlgInformation').dialog('open');
                }
            }

        <% /* JQ04 */%>

                    <% /* Código del jqGrid para Aplicaciones */ %>

            <% /* Función para cargar los datos del Web Service. */ %>

            function GetAPL() {
                $.ajax({
                    url: 'Servicio.svc/GetPermisosOpcionesUsuario',
                    data: {
                        "Opcion": 1, "Id": $('#IdSubElementMOD').val(), "Operador": $("#cbUsuarios").val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                    },
                    dataType: "json",
                    type: "GET",
                    contentType: "application/json; charset=utf-8",
                    beforeSend: function () {
                        $('#dlgCargando5').dialog('open');
                    },
                    success: function (json) {
                        $('#dlgCargando5').dialog('close');
                        try {
                            $("#jqgAPL").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                            var thegrid = $("#jqgAPL")[0];
                            thegrid.addJSONData(JSON.parse(json.d));
                            $("#jqgAPL").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                        }
                        catch (err) {
                            $('#dlgInformation').html(json.d);
                            $('#dlgInformation').dialog('open');
                        }
                    }
                });
            }

            <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutAPL(Opcion, id, id_oper, eli) {
            $.ajax({
                url: 'Servicio.svc/PutPermisosOpcionesUsuario',
                data: {
                    "Opcion": Opcion, "Id": id, "Operador": id_oper, "Eliminado": eli
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                    },
                    dataType: "json",
                    type: "GET",
                    contentType: "application/json; charset=utf-8",
                    beforeSend: function () {
                        $('#dlgCargando6').dialog('open');
                    },
                    success: function (json) {
                        $('#dlgCargando6').dialog('close');
                        var res = json.d;
                        if (res > 0 || res < 0) {
                            if (eli == 1) {
                                $('#IdSubElementAPL').val(0);
                            }
                            else {
                                if (id > 0 || id < 0) {
                                }
                                else {
                                    $('#IdSubElementAPL').val(res);
                                }
                            }
                        }
                        else {
                            $('#dlgInformation').html(json.d);
                            $('#dlgInformation').dialog('open');
                        }
                    }
                });
            }

            <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

            function LoadGridAPL() {

                var lselAPL;
                var colMap = {};
                $("#jqgAPL").jqGrid({
                    datatype: 'local',
                    height: 175,//255
                    width: 250,//200
                    colNames: ['', '', '', '', '<%=L.LBL("LblBSAplicacion")%>'],
                    colModel: [
                                { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                                { name: 'id_modulo', index: 'id_modulo', width: 1, editable: true, hidden: true },
                                {
                                    name: 'activo', index: 'activo', width: 1, search: false, editable: true,
                                    edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: '1:0' },
                                    formatoptions: { disabled: true }, align: 'center'
                                },
                                {
                                    name: 'negri', index: 'negri', width: 2, sorttype: 'int', hidden: true, align: 'center'
                                },
                                { name: 'desc_app', index: 'desc_app', width: 10, editable: false, searchoptions: { sopt: ListFindN } },
                                
                    ],
                    onSelectRow: function (id) {
                        if (id) {

                            if (isNaN(lselAPL) && !isNaN(id)) {
                                $("#jqgAPL").jqGrid('delRowData', lselAPL);
                                //$('#jqgAPL').jqGrid('resetSelection');
                            }

                            if (!isNaN(id)) {
                                $('#jqgAPL').jqGrid('saveRow', id);

                                var ret = jQuery("#jqgAPL").jqGrid('getRowData', id);

                                $('#jqgAPL').jqGrid('restoreRow', lselAPL);

                                $('#IdSubElementAPL').val(ret.Id);
                                
                            }
                            else {
                                //BotonNuevoAPL();
                            }

                            $('#jqgAPL').jqGrid('editRow', id, true, EventsAPL);

                            lselAPL = id;

                            RefreshGridOPC();
                        }
                    },
                    afterInsertRow: function (id) {
                        if (id) {
                            if (isNaN(lselAPL)) {
                                $("#jqgAPL").jqGrid('delRowData', lselAPL);
                                $('#jqgAPL').jqGrid('resetSelection');
                            }
                            else {
                                $('#jqgAPL').jqGrid('saveRow', lselAPL);
                            }
                        }
                    },
                    onCellSelect: function (id) {
                        if (id) {
                            if (!isNaN(id)) {
                                $('#jqgAPL').jqGrid('restoreRow', id);
                            }

                            var ret = jQuery("#jqgAPL").jqGrid('getRowData', id);
                            var status = ret.Eli;

                            if (status == "True") {
                                $('#btnEliminarTextAPL').html("<%=L.LBL("LblGENRecover") %>");
                                $('#btnEliminarIconAPL').attr("src", "img/recuperar.png");
                            }
                            else {
                                $('#btnEliminarTextAPL').html("<%=L.LBL("LblGENDelete") %>");
                                $('#btnEliminarIconAPL').attr("src", "img/cross-script.png");
                            }

                            //$('#jqgAPL').jqGrid('setSelection', id); 

                            //BotonSelectAPL();
                        }
                    },
                    gridComplete: function () {
                        refrescar();

                        var rows = $("#jqgAPL").getDataIDs();
                        for (var i = 0; i < rows.length; i++) {
                            if (i == 0 && parseInt($('#IdSubElementAPL').val()) == 0) {
                                $('#IdSubElementAPL').val($("#jqgAPL").getCell(rows[i], "Id"));
                            }

                            var status = $("#jqgAPL").getCell(rows[i], "negri");

                            if (status == 1) {
                                $("#jqgAPL").jqGrid('setCell', rows[i], 'desc_app', '', { 'font-weight': 'bold' });
                            }
                            else
                            {
                                $("#jqgAPL").jqGrid('setCell', rows[i], 'desc_app', '', { 'font-weight': 'normal' });
                            }
                        }
                        $('#jqgAPL').jqGrid('setSelection', $('#IdSubElementAPL').val());

                        if (parseInt($('#IdSubElementAPL').val()) != 0) {
                            //BotonSelectAPL();
                        }

                    },
                    rowNum: 99999999,
                    rowTotal: 99999999,
                    loadonce: true,
                    mtype: "GET",
                    rownumbers: false,
                    rownumWidth: 40,
                    gridview: true,
                    sortname: 'Id',
                    viewrecords: true,
                    sortorder: "asc",
                    ignoreCase: true,
                    scrollrows: true,
                    editurl: "Dummy.aspx"
                    //multiselect: true,
                    //altRows: true,
                    //altclass:'ui-widget-header'
                });

                //$("#jqgAPL").jqGrid('navGrid','#PaginadorAplicaciones',{del:false,add:false,edit:false,search:false});
                $("#bsdataAPL").click(function () {
                    jQuery("#jqgAPL").jqGrid('searchGrid', { multipleSearch: true });
                });
            }

        function EventsAPL(id) {
            $("#" + id + "_activo").on('change', function () { TodasAplicaciones(id) });
            $("#" + id + "_id_modulo").on('change', function () {  });
            $("#" + id + "_desc_app").prop("readonly", true).on('input', function () { });
        }

            <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

            function RefreshGridAPL() {
                $("#jqgAPL").jqGrid("setGridParam", { datatype: "json", datatype: GetAPL, loadonce: true });
                $("#jqgAPL").trigger("reloadGrid");
                $("#jqgAPL").jqGrid("setGridParam", { datatype: "local", loadonce: true });
            }

            <% /* Función que salva los datos modificados en una fila. */ %>

            function SaveAPL() {
                var id = $("#jqgAPL").jqGrid('getGridParam', 'selrow');

                if ($("#" + id + "_activo:checked").val() == 1) {
                    PutOPC(1, id, $("#cbUsuarios").val(), 0);
                }
                else {
                    PutOPC(1, id, $("#cbUsuarios").val(), 1);
                }
            }

        <% /* JQ05 */%>

                   <% /* Código del jqGrid para Opciones */ %>

            <% /* Función para cargar los datos del Web Service. */ %>

             function GetOPC() {
                 $.ajax({
                     url: 'Servicio.svc/GetPermisosOpcionesUsuario',
                     data: {
                         "Opcion": 2, "Id": $('#IdSubElementAPL').val(), "Operador": $("#cbUsuarios").val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                    },
                    dataType: "json",
                    type: "GET",
                    contentType: "application/json; charset=utf-8",
                    beforeSend: function () {
                        $('#dlgCargando7').dialog('open');
                    },
                    success: function (json) {
                        $('#dlgCargando7').dialog('close');
                        try {
                            $("#jqgOPC").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                            var thegrid = $("#jqgOPC")[0];
                            thegrid.addJSONData(JSON.parse(json.d));
                            $("#jqgOPC").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                        }
                        catch (err) {
                            $('#dlgInformation').html(json.d);
                            $('#dlgInformation').dialog('open');
                        }
                    }
                });
            }

            <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutOPC(Opcion, id, id_oper, eli) {
                $.ajax({
                    url: 'Servicio.svc/PutPermisosOpcionesUsuario',
                    data: {"Opcion": Opcion, "Id": id, "Operador": id_oper, "Eliminado": eli
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                    },
                    dataType: "json",
                    type: "GET",
                    contentType: "application/json; charset=utf-8",
                    beforeSend: function () {
                        $('#dlgCargando8').dialog('open');
                    },
                    success: function (json) {
                        $('#dlgCargando8').dialog('close');
                        var res = json.d;
                        if (res > 0 || res < 0) {
                            if (eli == 1) {
                                $('#IdSubElementOPC').val(0);
                            }
                            else {
                                if (id > 0 || id < 0) {
                                }
                                else {
                                    $('#IdSubElementOPC').val(res);
                                }
                            }
                            RefreshGridMOD();
                        }
                        else {
                            $('#dlgInformation').html(json.d);
                            $('#dlgInformation').dialog('open');
                        }
                    }
                });
            }

            <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

            function LoadGridOPC() {

                var lselOPC;
                var colMap = {};
                $("#jqgOPC").jqGrid({
                    datatype: 'local',
                    height: 379,//255
                    width: 375,//300
                    colNames: ['id', '', 'id_app', '<%=L.LBL("LblGENOpciones")%>', '<%=L.LBL("LblMANBitacora")%>', 'id_parent', '<%=L.LBL("LblGENHistórico")%>'],
                    colModel: [
                                { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                                {
                                    name: 'activo', index: 'activo', width: 4, search: false, editable: true,
                                    edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: '1:0' },
                                    formatoptions: { disabled: true }, align: 'center'
                                },
                                { name: 'id_app', index: 'id_app', width: 1, editable: true, hidden: true },
                                {
                                    name: 'desc_opc', index: 'desc_opc', width: 76, editable: true,
                                    searchoptions: { sopt: ListFindT }
                                },
                                {
                                    name: 'va_log_sheet', index: 'va_log_sheet', width: 12, hidden: true, editable: true, search: false,
                                    edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: '1:0' },
                                    formatoptions: { disabled: true }, align: 'center'
                                },
                                { name: 'id_parent', index: 'id_parent', width: 1, editable: true, hidden: true },
                                {
                                    name: 'historico', index: 'historico', width: 12, hidden: true, editable: true, search: true,
                                    edittype: 'checkbox', formatter: 'checkbox', editoptions: { value: '1:0' },
                                    formatoptions: { disabled: true }, align: 'center'
                                },
                                //{ name: 'Eli', index: 'Eli', width: 1, search: false, hidden: true }
                    ],
                    onSelectRow: function (id) {
                        if (id) {

                            if (isNaN(lselOPC) && !isNaN(id)) {
                                $("#jqgOPC").jqGrid('delRowData', lselOPC);
                                //$('#jqgOPC').jqGrid('resetSelection');
                            }

                            if (!isNaN(id)) {
                                $('#jqgOPC').jqGrid('saveRow', id);

                                var ret = jQuery("#jqgOPC").jqGrid('getRowData', id);

                                $('#jqgOPC').jqGrid('restoreRow', lselOPC);

                                $('#IdSubElementOPC').val(ret.Id);
                            }
                            else {
                                //BotonNuevoOPC();
                            }

                            $('#jqgOPC').jqGrid('editRow', id, true, EventsOPC);

                            lselOPC = id;
                        }
                    },
                    afterInsertRow: function (id) {
                        if (id) {
                            if (isNaN(lselOPC)) {
                                $("#jqgOPC").jqGrid('delRowData', lselOPC);
                                $('#jqgOPC').jqGrid('resetSelection');
                            }
                            else {
                                $('#jqgOPC').jqGrid('saveRow', lselOPC);
                            }
                        }
                    },
                    onCellSelect: function (id) {
                        if (id) {
                            if (!isNaN(id)) {
                                $('#jqgOPC').jqGrid('restoreRow', id);
                            }

                            var ret = jQuery("#jqgOPC").jqGrid('getRowData', id);
                            var status = ret.Eli;

                            if (status == "True") {
                                $('#btnEliminarTextOPC').html("<%=L.LBL("LblGENRecover") %>");
                                $('#btnEliminarIconOPC').attr("src", "img/recuperar.png");
                            }
                            else {
                                $('#btnEliminarTextOPC').html("<%=L.LBL("LblGENDelete") %>");
                                $('#btnEliminarIconOPC').attr("src", "img/cross-script.png");
                            }

                            //$('#jqgOPC').jqGrid('setSelection', id); 

                            //BotonSelectOPC();
                        }
                    },
                    gridComplete: function () {
                        var rows = $("#jqgOPC").getDataIDs();
                        for (var i = 0; i < rows.length; i++) {
                            if (i == 0 && parseInt($('#IdSubElementOPC').val()) == 0) {
                                $('#IdSubElementOPC').val($("#jqgOPC").getCell(rows[i], "Id"));
                            }
                            var status = $("#jqgOPC").getCell(rows[i], "Eli");

                            var fila1 = $("#jqgOPC").getCell(rows[i], "desc_opc");
                            var fila2 = $("#jqgOPC").getCell(rows[i + 1], "desc_opc");

                            if(fila1[0] != ' ' && fila2[2] == ' ')
                            {
                                $("#jqgOPC").jqGrid('setCell', rows[i], 'desc_opc', '', { 'font-weight': 'bold' });
                            }
                            if (fila1[3] != ' ' && fila2[3] == ' ' && fila2[4] == ' ' && fila2[5] == ' ') {
                                $("#jqgOPC").jqGrid('setCell', rows[i], 'desc_opc', '', { 'font-weight': 'bold' });
                            }
                            if (fila1[6] != ' ' && fila2[6] == ' ' && fila2[7] == ' ' && fila2[8] == ' ') {
                                $("#jqgOPC").jqGrid('setCell', rows[i], 'desc_opc', '', { 'font-weight': 'bold' });
                            }
                            if (fila1[9] != ' ' && fila2[9] == ' ' && fila2[10] == ' ' && fila2[11] == ' ') {
                                $("#jqgOPC").jqGrid('setCell', rows[i], 'desc_opc', '', { 'font-weight': 'bold' });
                            }
                        }
                        $('#jqgOPC').jqGrid('setSelection', $('#IdSubElementOPC').val());
                        if (parseInt($('#IdSubElementOPC').val()) != 0) {
                            //BotonSelectOPC();
                        }
                        
                    },
                    rowNum: 99999999,
                    rowTotal: 99999999,
                    loadonce: true,
                    mtype: "GET",
                    rownumbers: false,
                    rownumWidth: 40,
                    gridview: true,
                    sortname: 'Id',
                    viewrecords: true,
                    sortorder: "asc",
                    ignoreCase: true,
                    scrollrows: true,
                    editurl: "Dummy.aspx"//,
                    //multiselect: true,
                    //altRows: true,
                    //altclass:'ui-widget-header'
                });

                //$("#jqgOPC").jqGrid('navGrid','#PaginadorOpciones',{del:false,add:false,edit:false,search:false});
                $("#bsdataOpciones").click(function () {
                    jQuery("#jqgOPC").jqGrid('searchGrid', { multipleSearch: true });
                });

            }

        function EventsOPC(id) {
                $("#" + id + "_activo").on('change', function () { SaveOPC();});
                $("#" + id + "_id_app").on('change', function () {  });
                $("#" + id + "_desc_opc").prop("readonly", true).on('input', function () {  });
                $("#" + id + "_va_log_sheet").prop("disabled", true).on('change', function () {  });
                $("#" + id + "_id_parent").on('change', function () { });
                $("#" + id + "_historico").prop("disabled", true).on('change', function () {  });
            }

            <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

            function RefreshGridOPC() {
                $("#jqgOPC").jqGrid("setGridParam", { datatype: "json", datatype: GetOPC, loadonce: true });
                $("#jqgOPC").trigger("reloadGrid");
                $("#jqgOPC").jqGrid("setGridParam", { datatype: "local", loadonce: true });
            }

            <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveOPC()
        {
            var id = $("#jqgOPC").jqGrid('getGridParam', 'selrow');

            if ($("#" + id + "_activo:checked").val() == 1) {
                PutOPC(2, id, $("#cbUsuarios").val(), 0);
            }
            else {
                PutOPC(2, id, $("#cbUsuarios").val(), 1);
            }
        }

        <% /* JQ06 */ %>

        function InitializeComponents() {

            //Combos

            $("#cbAccesos").on('change', function () {
                if ($("#cbAccesos").val() != 0) {
                    $("#btnAplicarUSU").button('enable');
                }
                else {
                    $("#btnAplicarUSU").button('disable');
                }
            });

        }

        <% /* Boton Aplicar Planilla al Usuario selecionado. */ %>
        
                function PutBOT() {
                $.ajax({
                    url: 'Servicio.svc/PutBtnPlantillaUsuario',
                    data: {"Operador": $("#cbUsuarios").val(), "Plantilla": $("#cbAccesos").val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                    },
                    dataType: "json",
                    type: "GET",
                    contentType: "application/json; charset=utf-8",
                    beforeSend: function () {
                        $('#dlgCargando').dialog('open');
                    },
                    success: function (json) {
                        $('#dlgCargando').dialog('close');
                        var res = json.d;
                        if (res > 0 || res < 0) {
                                RefreshGridPER();
                                RefreshGridMOD();
                        }
                        else {
                            $('#dlgInformation').html(json.d);
                            $('#dlgInformation').dialog('open');
                        }
                    }
                });
            }

        <% /* JS_FUN_BASE */%>

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Informe.aspx?r=160&id=' + $("#cbUsuarios").val()
                + '&cu=' + $("#cbUsuarios option:selected").text(),
                '_blank');
        }

        
    </script>

    <script type="text/javascript">

        <% /* JS_DOC */%>

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando2").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando3").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando4").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando5").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando6").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando7").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando8").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando9").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando10").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            LoadGridMOD();

            LoadGridAPL();

            LoadGridOPC();

            LoadGridPER();

            CargaSelectUsuario();

            InitializeComponents();

            $("#btnAplicarUSU").button('disable');

            $("#SevenMenu").accordion("option", "active", 1);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#Loader').css('height', '0px');
        });
    </script>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.open('Menu.aspx#M2', '_top');" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="../img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="Permisos.aspx"><%=L.TIT("PermisosUsuarios") %> <%--[2.1]--%></a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 700px;">

                <div id="Loader" style="width: 2000px; height: 4000px;">
                </div>

                <% /* DLG_VAR */%>

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando2" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando3" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando4" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando5" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando6" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando7" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando8" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando9" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando10" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <% /* TIT */%>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("PermisosUsuarios") %> <%--[2.1]--%></span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultV();RefreshGridV();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/2-1-operaciones-sobre-folios/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                    </tr>
                </table>

                <% 
           if (CorrectoIns)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
           if (CorrectoMod)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
           if (CorrectoEli)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
           if (!String.IsNullOrEmpty(ErrorMsg))
           {    
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <% /* HH */ %>

                <div id="HiddenHive">
                    <div id="HabFEData">
                    </div>
                </div>

                <br />

                <%=L.LBL("LblMANUSUUsuarios") %>

                        <select name="cbUsuarios" id="cbUsuarios" onchange="CambioSelect()" style="width: 200px;"><%//150%>
                             <%
                                 foreach (System.Data.DataRow dr in cbUsuarios.Rows) //string strTexto2 = string.Format("Texto 2: {0,-12}!", "Scientia");
                                 {
                                     Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString() + "  - " + dr[2].ToString(), false));
                                 }
                             %>
                         </select>

                   <%=L.LBL("LblMANPERPlantillasAccesos") %>
                        <select name="cbAccesos" id="cbAccesos" onchange="" style="width: 200px;"><%//150%>
                            <option value="0">Vacia</option>
                             <%
                               foreach (System.Data.DataRow dr in cbPlanillas.Rows)
                                {
                                  Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString(), false));
                                }
                             %>
                         </select>

                   <button type="button" id="btnAplicarUSU" onclick="AplicarPlantilla()">
                       <table>
                         <tr>
                           <td><img src="img/tick.png" alt="<%=L.LBL("LblMANPERAplicarPlantilla") %>" /></td>
                           <td><%=L.LBL("LblMANPERAplicarPlantilla") %></td>
                         </tr>
                       </table>
                    </button>

                <br /><br />

                <input type="text" id="VericarCarga" name="VericarCarga" hidden="hidden" value="0"/>

                 <div id="tabs">
                          <ul>
                            <li><a href="#tabs-Datos"><img src="img/database.png" alt="<%=L.LBL("LblMANPERAccesoDatos") %>" /><%=L.LBL("LblMANPERAccesoDatos") %></a></li>
                            <li><a href="#tabs-Opciones"><img src="img/key--plus.png" alt="<%=L.LBL("LblMANPERAccesoOpciones") %>" /><%=L.LBL("LblMANPERAccesoOpciones") %></a></li>
                          </ul>
                          <div id="tabs-Datos">
                                    <input type="hidden" id="IdSubElementPER" value="0" />
                                    <table id="jqgPER"></table>
                          </div>
                          <div id="tabs-Opciones">

                                  <table id="jqgTOD" style="width:100%">
                                    <tr>
                                        <td id="MOD">
                                            <input type="hidden" id="IdSubElementMOD" value="0" />
                                            <table id="jqgMOD"></table>
                                        </td>
                                        <td id="OPC" rowspan="2">
                                            <input type="hidden" id="IdSubElementOPC" value="0" />
                                            <table id="jqgOPC"></table>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td id="APL">
                                            <input type="hidden" id="IdSubElementAPL" value="0" />
                                            <table id="jqgAPL"></table>
                                        </td>
                                    </tr>
                                </table>
                      
                          </div>
                    </div>


                <div id="InfoModulo" title="<%=L.LBL("LblGENInformation") %>" hidden="hidden">
                      <p id="AgregarModulo" hidden="hidden">
                        <span class="ui-icon ui-icon-circle-check" style="float:left;"></span>
                        <%=L.MSG("MsgDeseaOtorgarTodosPermisosModulo")%>:
                          <input type="text" id="txtModuloA" style="background:none; border:none;" disabled="disabled"/>
                          <br />
                          <%=L.MSG("MsgAlUsuario")%>:
                          <input type="text" id="txtUsuModuloA" style="background:none; border:none;"  disabled="disabled"/>
                      </p>

                    <p id="EliminarModulo" hidden="hidden">
                        <span class="ui-icon ui-icon-circle-check" style="float:left;"></span>
                        <%=L.MSG("MsgDeseaQuitarTodosPermisosModulo")%>: 
                          <input type="text" id="txtModuloE" style="background:none; border:none;" disabled="disabled"/>
                          <br />
                          <%=L.MSG("MsgAlUsuario")%>:
                          <input type="text" id="txtUsuModuloE" style="background:none; border:none;"  disabled="disabled"/>
                      </p>
               </div>

                <div id="InfoAplicacion" title="<%=L.LBL("LblGENInformation") %>" hidden="hidden">
                      <p id="AgregarAplicacion" hidden="hidden">
                        <span class="ui-icon ui-icon-circle-check" style="float:left;"></span>
                        <%=L.MSG("MsgDeseaOtorgarTodosPermisosAplicacion")%>: 
                          <input type="text" id="txtAplicacionA" style="background:none; border:none;" disabled="disabled"/>
                          <br />
                          <%=L.MSG("MsgAlUsuario")%>:
                          <input type="text" id="txtUsuAplicacionoA" style="background:none; border:none;"  disabled="disabled"/>
                      </p>

                    <p id="EliminarAplicacion" hidden="hidden">
                        <span class="ui-icon ui-icon-circle-check" style="float:left;"></span>
                        <%=L.MSG("MsgDeseaQuitarTodosPermisosAplicacion")%>:
                          <input type="text" id="txtAplicacionE" style="background:none; border:none;" disabled="disabled"/>
                          <br />
                          <%=L.MSG("MsgAlUsuario")%>:
                          <input type="text" id="txtUsuAplicacionE" style="background:none; border:none;"  disabled="disabled"/>
                      </p>
               </div>


                <div id="InfoPlantilla" title="<%=L.LBL("LblGENInformation") %>" hidden="hidden">
                      <p>
                        <span class="ui-icon ui-icon-circle-check" style="float:left;"></span>
                        <%=L.MSG("MsgElOperador")%>:  
                          <input type="text" id="txtOperador" style="background:none; border:none; width:80px;" disabled="disabled"/>
                          <%=L.MSG("MsgYatieneAsignadosDeterminadosAccesosSistema")%>. <br />
                          <%=L.MSG("MsgAlSeleccionarNuevaPlantillaSeranRevocadosAccesos")%>.<br />
                          <%=L.MSG("MsgEstaSeguroAplicarPlantillaAccesos")%>:
                          
                          <input type="text" id="txtPlantilla" style="background:none; border:none;"  disabled="disabled"/>
                      </p>
               </div>


            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>

