﻿<% @Import Namespace="Seven.Management" %>
<% @Import Namespace="Seven.Management.Globals" %>
<% @Import Namespace="Seven.Management.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="Informe.aspx.cs" Inherits="Seven.Management.Informe" %>

<%@ Register Assembly="Microsoft.ReportViewer.WebForms, Version=11.0.0.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91"
    Namespace="Microsoft.Reporting.WebForms" TagPrefix="rsweb" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <title>FDK - <%=Titulo %> - <%=L.LBL("LblFDKSListado") %></title>
    
    <script type="text/javascript">

    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgImprimir").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 150,
                width: 340,
                modal: true,
                dialogClass: 'no-close',
                buttons: {
                    "<%=L.LBL("LblGENPrint") %>": function(){
                        $(this).dialog('close');
                        $('#dlgCargando').dialog('open');
                        window.location.href='<% 
                        string link = System.Web.HttpContext.Current.Request.Url.ToString();
                        try {
                            link = link.Remove(link.IndexOf("&prnt="));
                        }
                        catch { }
                        link = link.Replace("&pri=1", "").Replace("&pri=2", "") + "&pri=1" + "&prnt="; 
                        Response.Write(link);
                        %>' + $('#cbImpresora').val();
                        
                    },
                    "<%=L.LBL("LblGENCancel") %>": function(){
                        $(this).dialog('close');
                    }
                }
            });

            $("#SevenMenu").accordion("option", "active", <%=AccordionOpcion %>);

            $("#EnlaceMaestro").focus();

        });

    </script>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.open('Menu.aspx', '_top');" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="../img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="../Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="../img/arrow.png" alt="" />
                    <a href="../<%=Pagina %>"><%=Titulo %></a>
                    <img src="../img/arrow.png" alt="" />
                    <a href="#"><%=L.LBL("LblFDKSListado") %></a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
        
    </div>
            
    <div id="SevenPrincipal">
                
        <div id="SevenMedio">
                    
            <div id="SevenInterno" style="width: 1100px; height: 850px;">

                <div id="dlgImprimir" title="<%=L.LBL("LblGENPrint") %>" style="text-align: center; padding-top: 25px">
                    <%=L.MSG("ImpresionDirecta") %>
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <table style="width: 100%;">
                    <tr>
                        <td colspan="2">
                            <% if(!String.IsNullOrEmpty(MensajeError)){ %>
                            <span class="SevenMsgError" style="font-size: 10pt;"><%=MensajeError %></span>
                            <% }else{ %>
                            <span style="font-size: 10pt;">&nbsp;</span>
                            <% } %>
                                        
                        </td>
                    </tr>
                </table>
                
                <%=DirectPrintMsg %>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=Titulo %></span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="Ayuda/HLPInformes.aspx" id="A1" ><img src="../img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <%=L.LBL("LblGENPrinter") %>:
                        </td>
                        <td>
                            <%=cbImpresora %>
                        </td>
                        <td>
                            <button type="button" onclick="$('#dlgImprimir').dialog('open');">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/printer.png" alt="<%=L.LBL("LblGENPrint") %>" />
                                        </td>
                                        <td>
                                            <%=L.LBL("LblGENPrint") %>
                                        </td>
                                    </tr>
                                </table>
                            </button>
                        </td>
                    </tr>
                </table>
                <table>
                    <tr>
                        <td style="background-color: #FFFFFF">
                            <asp:ScriptManager ID="ScriptManager1" runat="server">
                            </asp:ScriptManager>
                            <rsweb:ReportViewer ID="rpvReporte" runat="server" Font-Names="Verdana" 
                                Font-Size="8pt" InteractiveDeviceInfos="(Colección)" 
                                WaitMessageFont-Names="Verdana" WaitMessageFont-Size="14pt" Width="1100px" Height="700px">
                                
                            </rsweb:ReportViewer>
                        </td>
                    </tr>
                </table> 
            </div>
                    
        </div>
                
    </div>

</asp:Content>
